// cmc.typ
// Types file for contraceptive method choice data set.
// Jamie Sherrah  5/4/98

X1 = Real
//Wife's age                     (numerical)

X2 = Real
//Wife's education               (categorical)      1=low, 2, 3, 4=high

X3 = Real
//Husband's education            (categorical)      1=low, 2, 3, 4=high

X4 = Real
//Number of children ever born   (numerical)

X5 = Boolean
//Wife's religion                (binary)           0=Non-Islam, 1=Islam

X6 = Boolean
//Wife's now working?            (binary)           0=Yes, 1=No

X7 = Enumerated {occ_a = 1, occ_b = 2, occ_c = 3, occ_d = 4}
//Husband's occupation           (categorical)      1, 2, 3, 4

X8 = Real
//Standard-of-living index       (categorical)      1=low, 2, 3, 4=high

X9 = Boolean
//Media exposure                 (binary)           0=Good, 1=Not good

//Class label:
// Contraceptive method used (class attribute)1=No-use,2=Long-term,3=Short-term
