function [errs, percentage] = mindistcl(trdata, valdata, trclasses,valclasses);
%function [errs, percentage] = mindistcl(trdata, valdata,trclasses,valclasses);

[d,N] = size(valdata);
nc = max(trclasses)-min(trclasses)+1;
means = [];

for i=1:nc,
  % for each class, calc mean
  means = [means; mean(trdata(:, find(trclasses == (min(trclasses)+i-1)))')];
end;


% calc dists
dists = dist(means, valdata);
[dummy,pred] = min(dists);

errs = (valclasses ~= (pred+min(valclasses)-1));

percentage = sum(errs)/N;
